#%set_verify_elf_method skip

%define BxLabel rastertoBxlLabel
%define FILTER rastertoBxlLabel_v1.2.6_x64

Name: bixolon-label
Version: 1.2.6
Release: alt2
Source: Software_BxlLabelCupsDrv_Linux_v1.2.6.tgz
Group: Other
Summary: Bixolon Label Linux CUPS Driver
URL: https://www.bixolon.com/_lib/download_single.php?FILE_INFO=driver|driver_file|driver_idx|113|driver
License: distributable
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

Requires: cups

%description
Bixolon Label Linux CUPS Driver for BIXOLONSLP-D220,BIXOLONSLP-D223,
BIXOLONSLP-D420,BIXOLONSLP-D423,BIXOLONSLP-DL410,BIXOLONSLP-DL413,
BIXOLONSLP-DX220,BIXOLONSLP-DX223,BIXOLONSLP-DX420,BIXOLONSLP-DX423,
BIXOLONSLP-T400,BIXOLONSLP-T403,BIXOLONSLP-TX220,BIXOLONSLP-TX223,
BIXOLONSLP-TX400,BIXOLONSLP-TX403,BIXOLONSLP-TX420,BIXOLONSLP-TX423,
BIXOLONSPP-L3000,BIXOLONSPP-L310,BIXOLONSPP-L410,BIXOLONSRP-770III,
BIXOLONSRP-770II,BIXOLONSRP-E770III,BIXOLONSRP-S3000_LABEL,BIXOLONXD3-40d,
BIXOLONXD3-40t,BIXOLONXD5-40d,BIXOLONXD5-40t,BIXOLONXD5-43d,BIXOLONXD5-43t,
BIXOLONXF3-40,BIXOLONXL5-40CT,BIXOLONXL5-43CT,BIXOLONXM7-20,BIXOLONXM7-30,
BIXOLONXM7-40,BIXOLONXT3-40,BIXOLONXT3-43,BIXOLONXT5-40,BIXOLONXT5-43,
BIXOLONXT5-46

%prep
%setup -c Software_BxlLabelCupsDrv_Linux_v%{version}

%install
# printer
cd Software_BxlLabelCupsDrv_Linux_v%{version}

mkdir -p %buildroot/%_bindir

mkdir -p %buildroot/%_libexecdir/cups/filter/%BxLabel

FILTER=%{BxLabel}_v%{version}_x64
cp ./filters/%{FILTER} %buildroot/%_bindir/
chmod 0755 %buildroot/%_bindir/%{FILTER}

mkdir -p %buildroot/%_datadir/cups/model/Bixolon
cp -af ./Bixolon/*.ppd  %buildroot/%_datadir/cups/model/Bixolon/
chmod +r %buildroot/%_datadir/cups/model/Bixolon/

%post 
ln -s %_bindir/%{FILTER} %_libexecdir/cups/filter/%BxLabel
chmod 0755 %_libexecdir/cups/filter/%BxLabel

%postun
rm -f %_libexecdir/cups/filter/%BxLabel

%files
%_bindir/%{FILTER}
%_datadir/cups/model/Bixolon/*
#%_libexecdir/cups/filter/%BxLabel

%changelog
* Thu Jan 25 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.2.6-alt2
- Fix permissions

* Wed Jan 24 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.2.6-alt1
- Init build